---
schema_version: "1"
id: 8409664bcb9dc488e39f5c502b9c7996d6dfca1d5aaa8ac1cf03496b3d21b642
title: POST /sms/v1/contacts/refreshList/{id}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/postRefreshSMSAudience.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/postRefreshSMSAudience.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 67e692e2f8fdf97bec3722c81c1394468c6b6f19c4db20deab244f693dc263fc
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /sms/v1/contacts/refreshList/{id}

## Overview

Refreshes a list.

| Name   | Type   |          | Description                   |
| ------ | ------ | -------- | ----------------------------- |
| listId | string | Required | The Id of the list to refresh |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST //sms/v1/contacts/refreshList/bzZ0cENGam1FZUtNX0poTDRYZzhlQTo2Mzow
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "ListId": "bzZ0cENGam1FZUtNX0poTDRYZzhlQTo2Mzow"
}
```

**Example Response** If all values in the request are valid, the API returns a token that can be used to make a follow-up call to check the status of the request.

```js
HTTP/1.1 202 Accepted
{
    "tokenId": "NDo8NDow",
    "lastPublishDate": "2012-12-18T15:38:12.030Z"
}
```
